Abyssal Celebrant Undrias:
The Dark Elf village! The brilliant underground city and the product of our race's brilliant civilization and developed skills! The beauty is often compared to that of obsidian that shines a lucid light in the dark.
To find the Dark Elf village, follow the road before me. Then you will come to the entrance of a tunnel that leads under the rock mountain. Follow the tunnel and you will enter the village.
Return